Bug 740637

Summary: Fedora 16 kernel crashes with echo 3 > /proc/sys/vm/drop_caches
Product: [Fedora] Fedora Reporter: Lucas Meneghel Rodrigues <lmr>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: areis, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mishu
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-16 18:30:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Lucas Meneghel Rodrigues 2011-09-22 18:54:32 UTC
Description of problem: Fedora 16 RC1 kernel crashes with echo 3 >
/proc/sys/vm/drop_caches

Version-Release number of selected component (if applicable):

3.1.0-0.rc6.git0.0.fc16.x86_64

How reproducible: Allways

Steps to Reproduce:
1. echo 3 > /proc/sys/vm/drop_caches

Actual results: Freeze Fedora machine

Expected results: Drop memory caches

This is a recurrent problem that affected F13, F14, and now is back with F16 RC1. There was a previous bug opened about that

https://bugzilla.redhat.com/show_bug.cgi?id=649871

Please read there for more information.

Comment 1 Dave Jones 2012-03-22 17:07:12 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 2 Dave Jones 2012-03-22 17:10:22 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 3 Dave Jones 2012-03-22 17:20:36 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 4 Dave Jones 2012-07-16 18:30:29 UTC
I do this on a semi-regular basis, and haven't noticed any problems, so I think this may have been fixed in an update.

Reopen if you can still reproduce this problem.